%define debug_package %{nil}

Name:       ocaml-bitv
Version:    1.1
Release:    %mkrel 7
Summary:    A bit vector library
License:    LGPL with exception
Group:      Development/OCaml
URL:        https://www.lri.fr/~filliatr/ftp/ocaml/ds/
Source0:    https://www.lri.fr/~filliatr/ftp/ocaml/ds/bitv-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocamlweb
BuildRequires:  texlive

%description
This module implements bit vectors.
Since bit vectors are particular cases of arrays, this module provides
the same operations as module Array.
It also provides bitwise operations and conversions to/from integer types.

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q -n bitv-%{version}

%build
./configure
make opt
make doc

%check
make test

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/bitv
#make install DESTDIR=$OCAMLFIND_DESTDIR
ocamlfind install \
  -destdir $OCAMLFIND_DESTDIR \
  bitv META bitv.cmo bitv.cmi bitv.mli bitv.cmx bitv.o

%files
%doc README COPYING LICENSE CHANGES
%dir %{_libdir}/ocaml/bitv
%{_libdir}/ocaml/bitv/META
%{_libdir}/ocaml/bitv/*.cmi
%{_libdir}/ocaml/bitv/*.cmo

%files devel
%doc test.ml
%doc bitv.pdf
%{_libdir}/ocaml/bitv/*.o
%{_libdir}/ocaml/bitv/*.cmx
%{_libdir}/ocaml/bitv/*.mli


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 1.1-7.mga6
+ Revision: 1056259
- Rebuild for fix in ocaml

* Fri Feb 12 2016 umeabot <umeabot> 1.1-6.mga6
+ Revision: 956306
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 1.1-5.mga6
+ Revision: 893241
- rebuild with fixed deps

* Wed Oct 15 2014 umeabot <umeabot> 1.1-4.mga5
+ Revision: 743332
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-3.mga5
+ Revision: 682995
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1-2.mga4
+ Revision: 523832
- Mageia 4 Mass Rebuild

* Thu May 02 2013 blue_prawn <blue_prawn> 1.1-1.mga4
+ Revision: 412030
- imported package ocaml-bitv

